Page MenuHomePhabricator

Beta features: "Discussion" link should go to Talk:Flow
Closed, ResolvedPublic

Description

Currently, the "Discussion" link in Beta features goes to Extension talk:Flow.

Talk:Flow is the board that we've been using for feedback on all the wikis, so the link should go there instead.

Event Timeline

DannyH created this task.Sep 29 2015, 11:55 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 11:55 PM

The info link goes to Project:Flow on the local wiki or falls back to https://www.mediawiki.org/wiki/Extension:Flow
The discussion link goes to Project_talk:Flow on the local wiki or falls back to https://www.mediawiki.org/wiki/Extension_talk:Flow

Anything else needs to be changed?

DannyH added a comment.EditedOct 1 2015, 12:43 AM

I think the fallbacks should be:
https://www.mediawiki.org/wiki/Flow
https://www.mediawiki.org/wiki/Talk:Flow
instead of mediawiki:Extension:Flow.

SBisson added a comment.EditedOct 1 2015, 3:09 PM

So just to confirm everything:

The info link should go to Flow on the local wiki or fall back to https://www.mediawiki.org/wiki/Flow
The discussion link should go to Talk:Flow on the local wiki or fall back to https://www.mediawiki.org/wiki/Talk:Flow

Quiddity added a subscriber: Quiddity.EditedOct 1 2015, 7:10 PM

[edit] Ack, read too fast.

No, both the links should always go to mediawiki.org - At least I believe that is the case for all other BetaFeatures?
And Yes, [[mw:Flow]] and [[mw:Talk:Flow]] should be the targets.

It is the case for other beta features I could find.

We talked about it with @DannyH several times, he argued that there will be localized project and talk pages that is more appropriate for people to go to than mw.org.

DannyH set Security to None.Oct 5 2015, 10:41 PM
DannyH removed a subscriber: DannyH.

@Pginer-WMF, @Catrope, do you have an opinion on this? I would love to wrap up the remaining opt-in tickets in the near future.

@Jdforrester-WMF: You're our interim product support and the PM for BetaFeatures, what are your thoughts?

As for my opinion: if all other BetaFeatures just link to mw.org, I'd be happy to follow that precedent.

As for my opinion: if all other BetaFeatures just link to mw.org, I'd be happy to follow that precedent.

+1

Change 246705 had a related patch set uploaded (by Sbisson):
Optin beta feature links to mw.org

https://gerrit.wikimedia.org/r/246705

SBisson claimed this task.Oct 15 2015, 4:50 PM
SBisson removed a project: Patch-For-Review.
SBisson removed a subscriber: gerritbot.

Change 246705 merged by jenkins-bot:
Optin beta feature links to mw.org

https://gerrit.wikimedia.org/r/246705

Checked in betalabs - Discussion link in Beta features->Flow on user talk redirects to https://www.mediawiki.org/wiki/Talk:Flow.

Catrope closed this task as Resolved.Nov 22 2015, 10:55 PM